CONVERTCRAFT V3.0: Генерація NEXT

Преміум. Приватне. Чистий Продуктивність.

Досвід обробки Sub-2s з новим двигуном V3.0. Ми перебудуємо все, щоб надати вам досвід, де ваші файли ніколи не залишають ваш пристрій.

ЧОМУ МИ ДРУГІ:

  • WASM Посилання: Кожна конвертація працює локально на вашому обладнанні.
  • Абсолютна конфіденційність: Ваші файли Немає хмари, не відстеження, ніяких компромісів.
  • Вбудований для вас: Ми поширили цю платформу для глобальної спільноти творців.

Опитування місії: 🛡️

Запуск цієї інфраструктури в цьому масштабі коштує серйозні гроші. Ми не продаємо ваші дані, і ми не працюємо над дратівливими оголошеннями. Ми працюємо виключно на таких користувачів.

Якщо збережені вами час або зберігайте ваші дані безпечними сьогодні, ми допоможемо вам зберегти його безкоштовно та приватне. ConvertCraft

[Швидкість: миттєво][ Перемикач: <100 мс ][ЗАВАНТАЖЕННЯ: <2 СЕК]Конфіденційність: 100%Всі системи в порядку

❤️ Підтримка нашої місії / пожертвування

💎 Підтримайте місію ($4,99/місяць)☕ Одноразова пожертва

Кожен долар зберігає більше 1000 користувачів.

Base URL: https://api.convert-craft.com
OpenAPI spec: /openapi.yaml
RapidAPI: Subscribe on RapidAPI the fastest way to get started.
Need help? Join our Discord

Subscribe on RapidAPI and use RapidAPI's built-in code snippets. The examples below are copy/paste templates — replace YOUR_API_KEY and YOUR_PROXY_SECRET with the values shown in RapidAPI.

1) Health check (GET /status)

curl -s \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-rapidapi-proxy-secret: YOUR_PROXY_SECRET" \
  https://api.convert-craft.com/status

2) Simple JSON tool (POST /slugify)

curl -s -X POST \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-rapidapi-proxy-secret: YOUR_PROXY_SECRET" \
  -d '{"text":"Hello World!"}' \
  https://api.convert-craft.com/slugify

3) File tool example (POST /image-convert)

File endpoints download from the sourceUrl field. Use a direct URL that returns HTTP 200 (this API intentionally does not follow redirects).

curl -s -X POST \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-rapidapi-proxy-secret: YOUR_PROXY_SECRET" \
  -d '{"sourceUrl":"https://example.com/photo.png","outputFormat":"webp"}' \
  https://api.convert-craft.com/image-convert \
  --output photo.webp

The API provides endpoints grouped by conversion type:

  • Convert, resize, and optimize images (JPG, PNG, WebP, AVIF, HEIC, SVG, GIF, TIFF, BMP, ICO)
  • Convert, merge, split, compress, and rasterize PDFs
  • Convert between MP3, WAV, OGG, AAC, FLAC, M4A formats
  • Convert MP4, WebM, MKV, MOV, AVI, extract audio from video
  • Slugify, hash, encode/decode, and other text operations
  • Hashing, encoding, and cryptographic utilities
  • Health check, status, and API metadata

For the full list of endpoints with request/response schemas, see the OpenAPI spec.

  • Free tier: 10 requests per minute
  • Pro tier: 100 requests per minute
  • Enterprise: Custom limits available on request

Error Handling

All errors return JSON with a consistent structure:

{
  "error": "short_code",
  "message": "Human-readable description"
}

Common HTTP status codes:

  • 400Bad request (missing or invalid parameters)
  • 401Unauthorized (missing or invalid API key)
  • 403Forbidden (invalid proxy secret or insufficient permissions)
  • 429Rate limit exceeded
  • 500Internal server error

Support

For API questions, bug reports, or feature requests, email [email protected] or join our Discord community.